LivePortrait Video Generation
Method: POSTEndpoint: /qwen/api/v1/services/aigc/image2video/video-synthesis/
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
X-DashScope-Async
string
Required
Example:
enable
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json Required
text
model
string
Required
input
object
Required
image_url
string
Required
// provider-specific example normalized for English documentation
Image file <10 MB, aspect ratio <= 2, maximum side length <= 4096.
Supported formats: jpeg, jpg, png, bmp, webp.
Notes
File upload supports only HTTP links, not local file links. You can also obtain a temporary public URL here.
audio_url
string
Required
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
Notes
File upload supports only HTTP links, not local file links. You can also obtain a temporary public URL here.
parameters
object
Required
template_id
string
Optional
// provider-specific example normalized for English documentation
eye_move_freq
number
Optional
// provider-specific example normalized for English documentation
video_fps
integer
Optional
// provider-specific example normalized for English documentation
mouth_move_strength
integer
Optional
// provider-specific example normalized for English documentation
paste_back
boolean
Optional
// provider-specific example normalized for English documentation
head_move_strength
number
Optional
// provider-specific example normalized for English documentation
Example
{
"model"
:
"liveportrait"
,
"input"
:
{
"image_url"
:
"http://xxx/1.jpg"
,
"audio_url"
:
"http://xxx/1.wav"
}
,
"parameters"
:
{
"template_id"
:
"normal"
,
"eye_move_freq"
:
0.5
,
"video_fps"
:
30
,
"mouth_move_strength"
:
1
,
"paste_back"
:
true
,
"head_move_strength"
:
0.7
}
}Example Request
Shell
bash
curl --location --request POST '/qwen/api/v1/services/aigc/image2video/video-synthesis/' \
--header 'X-DashScope-Async: enable' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "liveportrait",
"input": {
"image_url": "http://xxx/1.jpg",
"audio_url": "http://xxx/1.wav"
},
"parameters": {
"template_id": "normal",
"eye_move_freq": 0.5,
"video_fps":30,
"mouth_move_strength":1,
"paste_back": true,
"head_move_strength":0.7
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}